SUSE: 2022:2772-1 suse/sle15 Security Update | LinuxSecurity.com
SUSE Container Update Advisory: suse/sle15
-----------------------------------------------------------------
Container Advisory ID : SUSE-CU-2022:2772-1
Container Tags        : bci/bci-base:15.4 , bci/bci-base:15.4.27.14.8 , suse/sle15:15.4 , suse/sle15:15.4.27.14.8
Container Release     : 27.14.8
Severity              : critical
Type                  : security
References            : 1194047 1203911 1204383 1204386 1204397 1204690 CVE-2021-46848
                        CVE-2022-32221 CVE-2022-42916 
-----------------------------------------------------------------

The container suse/sle15 was updated. The following patches have been included in this update:

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2022:3781-1
Released:    Wed Oct 26 17:50:44 2022
Summary:     Security update for container-suseconnect
Type:        security
Severity:    moderate
References:  1204397

This update of container-suseconnect is a rebuilt of the previous sources against the current security updated go compiler.

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2022:3784-1
Released:    Wed Oct 26 18:03:28 2022
Summary:     Security update for libtasn1
Type:        security
Severity:    critical
References:  1204690,CVE-2021-46848
This update for libtasn1 fixes the following issues:

- CVE-2021-46848: Fixed off-by-one array size check that affects asn1_encode_simple_der (bsc#1204690)

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2022:3785-1
Released:    Wed Oct 26 20:20:19 2022
Summary:     Security update for curl
Type:        security
Severity:    important
References:  1204383,1204386,CVE-2022-32221,CVE-2022-42916
This update for curl fixes the following issues:

  - CVE-2022-32221: Fixed POST following PUT confusion (bsc#1204383).
  - CVE-2022-42916: Fixed HSTS bypass via IDN (bsc#1204386).

-----------------------------------------------------------------
Advisory ID: SUSE-RU-2022:3787-1
Released:    Thu Oct 27 04:41:09 2022
Summary:     Recommended update for permissions
Type:        recommended
Severity:    important
References:  1194047,1203911
This update for permissions fixes the following issues:

- Fix regression introduced by backport of security fix (bsc#1203911)
- Add permissions for enlightenment helper on 32bit arches (bsc#1194047)


The following package changes have been done:

- container-suseconnect-2.3.0-150000.4.19.2 updated
- curl-7.79.1-150400.5.9.1 updated
- libcurl4-7.79.1-150400.5.9.1 updated
- libtasn1-6-4.13-150000.4.8.1 updated
- libtasn1-4.13-150000.4.8.1 updated
- permissions-20201225-150400.5.16.1 updated

SUSE: 2022:2772-1 suse/sle15 Security Update

October 28, 2022
The container suse/sle15 was updated

Summary

Advisory ID: SUSE-SU-2022:3781-1 Released: Wed Oct 26 17:50:44 2022 Summary: Security update for container-suseconnect Type: security Severity: moderate Advisory ID: SUSE-SU-2022:3784-1 Released: Wed Oct 26 18:03:28 2022 Summary: Security update for libtasn1 Type: security Severity: critical Advisory ID: SUSE-SU-2022:3785-1 Released: Wed Oct 26 20:20:19 2022 Summary: Security update for curl Type: security Severity: important Advisory ID: SUSE-RU-2022:3787-1 Released: Thu Oct 27 04:41:09 2022 Summary: Recommended update for permissions Type: recommended Severity: important

References

References : 1194047 1203911 1204383 1204386 1204397 1204690 CVE-2021-46848

CVE-2022-32221 CVE-2022-42916

1204397

This update of container-suseconnect is a rebuilt of the previous sources against the current security updated go compiler.

1204690,CVE-2021-46848

This update for libtasn1 fixes the following issues:

- CVE-2021-46848: Fixed off-by-one array size check that affects asn1_encode_simple_der (bsc#1204690)

1204383,1204386,CVE-2022-32221,CVE-2022-42916

This update for curl fixes the following issues:

- CVE-2022-32221: Fixed POST following PUT confusion (bsc#1204383).

- CVE-2022-42916: Fixed HSTS bypass via IDN (bsc#1204386).

1194047,1203911

This update for permissions fixes the following issues:

- Fix regression introduced by backport of security fix (bsc#1203911)

- Add permissions for enlightenment helper on 32bit arches (bsc#1194047)

The following package changes have been done:

- container-suseconnect-2.3.0-150000.4.19.2 updated

- curl-7.79.1-150400.5.9.1 updated

- libcurl4-7.79.1-150400.5.9.1 updated

- libtasn1-6-4.13-150000.4.8.1 updated

- libtasn1-4.13-150000.4.8.1 updated

- permissions-20201225-150400.5.16.1 updated

Severity
Container Advisory ID : SUSE-CU-2022:2772-1
Container Tags : bci/bci-base:15.4 , bci/bci-base:15.4.27.14.8 , suse/sle15:15.4 , suse/sle15:15.4.27.14.8
Container Release : 27.14.8
Severity : critical
Type : security

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.